Name:           latex2rtf
Version:        2.3.18
Release:    1%{?dist}
Summary:        LaTeX to RTF converter that handles equations, figures, and cross-references
License:        GPLv2+
URL:            http://latex2rtf.sourceforge.net/
Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}a.tar.gz
Patch1:         latex2rtf-a4wide.patch
BuildRequires:  make
BuildRequires:  gcc
BuildRequires:  ImageMagick
BuildRequires:  texinfo
BuildRequires:  texinfo-tex
BuildRequires:  tex(latex)
BuildRequires:  texlive-courier
BuildRequires:  texlive-helvetic
BuildRequires:  texlive-psfrag
BuildRequires:  texlive-times
Requires:       gawk
Requires:       grep
Requires:       ImageMagick
Requires:       sed
Requires:       /usr/bin/eps2eps
Requires:       texlive-collection-basic
Requires:       texlive-collection-latex
Requires:       texlive-collection-latexrecommended
Requires:       texlive-collection-latexextra

%description
LaTeX2rtf is a translator program which is intended to translate a LaTeX
document (precisely: the text and a limited subset of LaTeX tags) into the RTF
format which can be imported by several text processors (including Microsoft
Word for Windows and Word for Macintosh). 

%prep
%setup -q
%patch1 -p1 -b .a4wide

sed -i -e '/^\.PHONY/d' Makefile

chmod a-x cfg/*.cfg

find -name "*.o" -delete -print

find . -type f -exec chmod 644 {} \;
chmod 755 test/bracecheck
chmod 755 scripts/latex2png

for txtfile in ChangeLog Copyright; do
 iconv -f ASCII -t UTF-8 $txtfile >$txtfile.new && \
 touch -r $txtfile $txtfile.new && \
 mv $txtfile{.new,} 
done

%build
%make_build %{name} CFLAGS="%{optflags} -DUNIX -fsigned-char" LDFLAGS="%{?__global_ldflags}" PREFIX=%{_prefix}

%install
%make_install -j1 install-info PREFIX=%{_prefix}
rm -frv %{buildroot}%{_infodir}/dir

%check
RTFPATH=`pwd`/cfg \
%{__make} check

%files
%doc ChangeLog doc/latex2rtf.pdf doc/latex2rtf.html doc/credits
%license Copyright doc/copying.txt
%{_bindir}/latex2png
%{_bindir}/latex2rtf
%{_datadir}/latex2rtf/
%{_infodir}/latex2rtf.info.*
%{_mandir}/man1/latex2png.1.*
%{_mandir}/man1/latex2rtf.1.*

%changelog
* Mon Jul 01 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.3.18-1
- initial build
